# Uses of Class
org.kapott.hbci.status.HBCIExecStatus

Packages that use HBCIExecStatus
Package
Description
org.kapott.hbci.manager
Package, welches diverse Klassen für den Zugriff auf die Funktionen von HBCI4Java enthält.
org.kapott.hbci.status
Dieses Paket enthält Klassen, die Status-Informationen zu einzelnen Aufträgen, Nachrichten oder Dialogen bereitstellen.

## Uses of HBCIExecStatus in org.kapott.hbci.manager

Methods in org.kapott.hbci.manager that return HBCIExecStatus
Modifier and Type
Method
Description
`HBCIExecStatus`
HBCIHandler.`execute()`
Ausführen aller bisher erzeugten Aufträge.
`HBCIExecStatus`
HBCIHandler.`verifyTAN()`
Entspricht `verifyTAN(null)`.
`HBCIExecStatus`
HBCIHandler.`verifyTAN(String customerId)`
Key-Management: Überprüfen einer TAN (nur für PinTan-Passports!).

## Uses of HBCIExecStatus in org.kapott.hbci.status

Methods in org.kapott.hbci.status that return HBCIExecStatus
Modifier and Type
Method
Description
`HBCIExecStatus`
HBCIExecThreadedStatus.`getExecStatus()`
Auslesen des HBCI-Dialog-Status.
Methods in org.kapott.hbci.status with parameters of type HBCIExecStatus
Modifier and Type
Method
Description
`void`
HBCIExecThreadedStatus.`setExecStatus(HBCIExecStatus status)`
Speichern des Dialog-Status.